  :root {

    /* color-1(#F9A828)
      * color-2(#07617D)
      */
    --color-1: hsla(37, 95%, 57%, 1);
    --color-2: hsla(194, 89%, 26%, 1);

    /* theme color variations
      */
    --color-1-lighter: hsla(37, 95%, 77%, 1);
    --color-1-light: hsla(37, 95%, 67%, 1);
    --color-1-dark: hsla(37, 95%, 47%, 1);
    --color-1-darker: hsla(37, 95%, 37%, 1);
    --color-2-lighter: hsla(194, 89%, 46%, 1);
    --color-2-light: hsla(194, 89%, 36%, 1);
    --color-2-dark: hsla(194, 89%, 16%, 1);
    --color-2-darker: hsla(194, 89%, 10%, 1);

    /* feedback colors
      * color-error(#ffd1d2), color-success(#c8e675), 
      * color-info(#d7ecfb), color-notice(#fff099)
      */
    --color-error: hsla(359, 100%, 91%, 1);
    --color-success: hsla(76, 69%, 68%, 1);
    --color-info: hsla(205, 82%, 91%, 1);
    --color-notice: hsla(51, 100%, 80%, 1);
    --color-error-content: hsla(359, 50%, 50%, 1);
    --color-success-content: hsla(76, 29%, 28%, 1);
    --color-info-content: hsla(205, 32%, 31%, 1);
    --color-notice-content: hsla(51, 30%, 30%, 1);

    /* shades 
      * generated using 
      * Tint & Shade Generator 
      * (https://maketintsandshades.com/)
      */
    --color-black: #000000;
    --color-gray-19: #161616;
    --color-gray-18: #2c2c2c;
    --color-gray-17: #424342;
    --color-gray-16: #585958;
    --color-gray-15: #6e6f6f;
    --color-gray-14: #838585;
    --color-gray-13: #999b9b;
    --color-gray-12: #afb2b1;
    --color-gray-11: #c5c8c7;
    --color-gray-10: #dbdedd;
    --color-gray-9: #dfe1e0;
    --color-gray-8: #e2e5e4;
    --color-gray-7: #e6e8e7;
    --color-gray-6: #e9ebeb;
    --color-gray-5: #edefee;
    --color-gray-4: #f1f2f1;
    --color-gray-3: #f4f5f5;
    --color-gray-2: #f8f8f8;
    --color-gray-1: #fbfcfc;
    --color-white: #ffffff;}
  .vnx-btn-holder {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    
    
  }
  .vnx-btn {
    position: relative;
    display: inline-block;
    width: auto; height: auto;
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-family: var(--font-2);
    color: var(--color-2);
    /* margin: 0px 25px 15px;
    min-width: 150px; */
  }
    .vnx-btn span {         
      color: var(--color-2);
      position: relative;
      display: inline-block;
      font-size: 14px;
      font-weight: bold;
      letter-spacing: 2px;
      text-transform: uppercase;
      top: 0; left: 0;
      width: 100%;
      padding: 20px 20px;
      transition: 0.3s;
    }
  
  /*--- vnx-btn-1 ---*/
  .vnx-btn-1::before {
    background-color: rgb(28, 31, 30);
    transition: 0.3s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn-1 span {
    color: rgb(255,255,255);
    border: 1px solid rgb(28, 31, 30);
    transition: 0.2s 0.1s;
  }
  .vnx-btn-1 span:hover {
    color: rgb(28, 31, 30);
    transition: 0.2s 0.1s;
  }
  
  /* 1.hover-filled-slide-down */
  .vnx-btn.hover-filled-slide-down::before {
    bottom: 0; left: 0; right: 0; 
    height: 100%; width: 100%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-filled-slide-down:hover::before {
    height: 0%;
    position: absolute;
    content: "";
  }
  
  /* 2.hover-filled-slide-up */
  .vnx-btn.hover-filled-slide-up::before {
    top: 0; left: 0; right: 0;
    height: 100%; width: 100%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-filled-slide-up:hover::before {
    height: 0%;
    position: absolute;
    content: "";
  }
  
  /* 3.hover-filled-slide-left */
  .vnx-btn.hover-filled-slide-left::before {
    top: 0; bottom: 0; left: 0;
    height: 100%; width: 100%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-filled-slide-left:hover::before {
    width: 0%;
    position: absolute;
    content: "";
  }
  
  /* 4. hover-filled-slide-right */
  .vnx-btn.hover-filled-slide-right::before {
    top:0; bottom: 0; right: 0;
    height: 100%; width: 100%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-filled-slide-right:hover::before {
    width: 0%;
    position: absolute;
    content: "";
  }
  
  /* 5. hover-filled-opacity */
  .vnx-btn.hover-filled-opacity::before {
    top:0; bottom: 0; right: 0;
    height: 100%; width: 100%;
    opacity: 1;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-filled-opacity:hover::before {
    opacity: 0;
    position: absolute;
    content: "";
  }
  
  /*--- vnx-btn-2 ---*/
  .vnx-btn-2::before {
    background-color: rgb(28, 31, 30);
    transition: 0.3s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn-2 span {
    color: rgb(28, 31, 30);
    border: 1px solid rgb(28, 31, 30);
    transition: 0.2s;
    position: absolute;
    content: "";
  }  
  .vnx-btn-2 span:hover {
    color: rgb(255,255,255);
    transition: 0.2s 0.1s;
    position: absolute;
    content: "";
  }
  
  /* 6. hover-slide-down */
  .vnx-btn.hover-slide-down::before {
    top: 0; left: 0; right: 0; 
    height: 0%; width: 100%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-slide-down:hover::before {
    height: 100%;
    position: absolute;
    content: "";
  }
  
  /* 7. hover-slide-up */
  .vnx-btn.hover-slide-up::before {
    bottom: 0; left: 0; right: 0; 
    height: 0%; width: 100%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-slide-up:hover::before {
    height: 100%;
    position: absolute;
    content: "";
  }
  
  /* 8. hover-slide-left */
  .vnx-btn.hover-slide-left::before {
    top: 0; bottom: 0; right: 0; 
    height: 100%; width: 0%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-slide-left:hover::before {
    width: 100%;
    position: absolute;
    content: "";
  }
  
  /* 9. hover-slide-right */
  .vnx-btn.hover-slide-right::before {
    top: 0; bottom: 0; left: 0; 
    height: 100%; width: 0%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-slide-right:hover::before {
    width: 100%;
    position: absolute;
    content: "";
  }
  
  /* 10. hover-opacity */
  .vnx-btn.hover-opacity::before {
    top:0; bottom: 0; right: 0;
    height: 100%; width: 100%;
    opacity: 0;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-opacity:hover::before {
    opacity: 1;
    position: absolute;
    content: "";
  }
  
  /*--- vnx-btn-3 ---*/
  .vnx-btn-3 {
    padding: 5px;
  }
  .vnx-btn-3 span {
    color: rgb(255, 255, 255);
    background-color: rgb(54, 56, 55);
  }
  .vnx-btn-3::before,
  .vnx-btn-3::after {
    background: transparent;
    z-index: 2;
    position: absolute;
    content: "";
  }
  
  /* 11. hover-border-1 */
  .vnx-btn.hover-border-1::before,
  .vnx-btn.hover-border-1::after {
    width: 10%; height: 25%;
    transition: 0.35s;

    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-1::before {
    top: 0; left: 0;
    border-left: 1px solid rgb(28, 31, 30);
    border-top: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-1::after {
    bottom: 0; right: 0;
    border-right: 1px solid rgb(28, 31, 30);
    border-bottom: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-1:hover::before,
  .vnx-btn.hover-border-1:hover::after {
    width: 99%;
    height: 98%;
    position: absolute;
    content: "";
  }
  
  /* 12. hover-border-2 */
  .vnx-btn.hover-border-2::before,
  .vnx-btn.hover-border-2::after {
    width: 10%; height: 25%;
    transition: 0.35s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-2::before {
    bottom: 0; left: 0;
    border-left: 1px solid rgb(28, 31, 30);
    border-bottom: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-2::after {
    top: 0; right: 0;
    border-right: 1px solid rgb(28, 31, 30);
    border-top: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-2:hover::before,
  .vnx-btn.hover-border-2:hover::after {
    width: 99%;
    height: 99%;
    position: absolute;
    content: "";
  }
  
  /* 13. hover-border-3 */
  .vnx-btn.hover-border-3::before,
  .vnx-btn.hover-border-3::after {
    width: 0%; height: 0%;
    opacity: 0;
    transition: width 0.2s 0.15s linear, height 0.15s linear, opacity 0s 0.35s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-3::before {
    top: 0; right: 0;
    border-top: 1px solid rgb(28, 31, 30);
    border-left: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-3::after {
    bottom: 0; left: 0;
    border-bottom: 1px solid rgb(28, 31, 30);
    border-right: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-3:hover::before,
  .vnx-btn.hover-border-3:hover::after {
    width: 100%; height: 99%;
    opacity: 1;
    transition: width 0.2s linear, height 0.15s 0.2s linear, opacity 0s;   
    position: absolute;
    content: "";
  }
  
  /* 14. hover-border-4 */
  .vnx-btn.hover-border-4::before,
  .vnx-btn.hover-border-4::after {
    width: 0%; height: 0%;
    opacity: 0;
    transition: width 0.2s linear, height 0.15s 0.2s ease-out, opacity 0s 0.35s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-4::before {
    bottom: 0; left: -1px;
    border-top: 1px solid rgb(28, 31, 30);
    border-left: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-4::after {
    top: 0; right: 0;
    border-bottom: 1px solid rgb(28, 31, 30);
    border-right: 1px solid rgb(28, 31, 30);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-4:hover::before,
  .vnx-btn.hover-border-4:hover::after {
    width: 100%; height: 99%;
    opacity: 1;
    transition: width 0.2s 0.15s ease-out, height 0.15s ease-in, opacity 0s;   
    position: absolute;
    content: "";
  }
  
  /* 15. hover-border-5 */
  .vnx-btn.hover-border-5::before,
  .vnx-btn.hover-border-5::after {
    width: 0%; height: 0%;
    opacity: 0;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-5::before {
    top: 0; right: 0;
    border-top: 1px solid rgb(28, 31, 30);
    border-left: 1px solid rgb(28, 31, 30);
    transition: width 0.2s 0.5s ease-out, height 0.15s 0.35s linear, opacity 0s 0.7s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-5::after {
    bottom: 0; left: 0px;
    border-bottom: 1px solid rgb(28, 31, 30);
    border-right: 1px solid rgb(28, 31, 30);
    transition: width 0.2s 0.15s linear, height 0.15s ease-in, opacity 0s 0.35s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-5:hover::before,
  .vnx-btn.hover-border-5:hover::after {
    width: 100%; height: 96%;
    opacity: 1;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-5:hover::before {
    transition: width 0.2s ease-in, height 0.15s 0.2s linear, opacity 0s;   /* 1,2 */
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-5:hover::after {
    transition: width 0.2s 0.35s linear, height 0.15s 0.5s ease-out, opacity 0s 0.3s; 
    position: absolute;
    content: "";
  } 
  
  /*--- vnx-btn-4 ---*/
  .vnx-btn-4 span {
    color: rgb(28, 31, 30);
    background-color: rgb(245,245,245);
  }
  .vnx-btn-4 span:hover {
    color: rgb(54, 56, 55);
  }
  .vnx-btn-4::before,
  .vnx-btn-4::after {
    width: 15%; height: 2px;
    background-color: rgb(54, 56, 55);
    z-index: 2;
    position: absolute;
    content: "";
  }
  
  /* 16. hover-border-6 */
  .vnx-btn.hover-border-6::before,
  .vnx-btn.hover-border-6::after {
    top: 0;
    transition: width 0.2s 0.35s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-6::before {
    right: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-6::after {
    left: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-6:hover::before,
  .vnx-btn.hover-border-6:hover::after {
    width: 50%;
    transition: width 0.2s ease-in;   
    position: absolute;
    content: "";
  }
  
  .vnx-btn.hover-border-6 span::before,
  .vnx-btn.hover-border-6 span::after {
    width: 0%; height: 0%;
    background: transparent;
    opacity: 0;
    z-index: 2;
    transition: width 0.2s ease-in, height 0.15s 0.2s linear, opacity 0s 0.35s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-6 span::before {
    top: 0; left: 0;
    border-left: 2px solid rgb(54, 56, 55);
    border-bottom: 2px solid rgb(54, 56, 55);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-6 span::after {
    top: 0; right: 0;
    border-right: 2px solid rgb(54, 56, 55);
    border-bottom: 2px solid rgb(54, 56, 55);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-6 span:hover::before,
  .vnx-btn.hover-border-6 span:hover::after {
    width: 50%; height: 96%;
    opacity: 1;
    transition: height 0.2s 0.2s ease-in, width 0.2s 0.4s linear, opacity 0s 0.2s;   
    position: absolute;
    content: "";
  }
  
  /* 17. hover-border-7 */
  .vnx-btn.hover-border-7::before,
  .vnx-btn.hover-border-7::after {
    bottom: 0;
    transition: width 0.2s 0.35s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-7::before {
    right: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-7::after {
    left: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-7:hover::before,
  .vnx-btn.hover-border-7:hover::after {
    width: 50%;
    transition: width 0.2s ease-in;  
    position: absolute;
    content: ""; 
  }
  
  .vnx-btn.hover-border-7 span::before,
  .vnx-btn.hover-border-7 span::after {
    width: 0%; height: 0%;
    background: transparent;
    opacity: 0;
    z-index: 2;
    transition: width 0.2s ease-in, height 0.15s 0.2s linear, opacity 0s 0.35s;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-7 span::before {
    bottom: 0; left: 0;
    border-left: 2px solid rgb(54, 56, 55);
    border-top: 2px solid rgb(54, 56, 55);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-7 span::after {
    bottom: 0; right: 0;
    border-right: 2px solid rgb(54, 56, 55);
    border-top: 2px solid rgb(54, 56, 55);
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-7 span:hover::before,
  .vnx-btn.hover-border-7 span:hover::after {
    width: 50%; height: 96%;
    opacity: 1;
    transition: height 0.2s 0.2s ease-in, width 0.2s 0.4s linear, opacity 0s 0.2s; 
    position: absolute;
    content: "";  
  }
  
  /* 18. hover-border-8 */
  .vnx-btn.hover-border-8::before,
  .vnx-btn.hover-border-8::after {
    bottom: 0;
    width: 15%;
    transition: width 0.2s 0.35s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8::before {
    right: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8::after {
    left: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8:hover::before {
    width: 50%;
    transition: width 0.2s ease-in;   
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8:hover::after {
    width: 50%;
    transition: width 0.1s ease-in;   
    position: absolute;
    content: "";
  }
  
  .vnx-btn.hover-border-8 span::before,
  .vnx-btn.hover-border-8 span::after {
    width: 0%; height: 0%;
    bottom: 0;
    background: transparent;
    opacity: 0;
    z-index: 2;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8 span::before {
    left: 0%;
    border-left: 2px solid rgb(54, 56, 55);
    transition: height 0.25s ease-in, opacity 0s 0.35s; 
    position: absolute;
    content: "";  
  }
  .vnx-btn.hover-border-8 span:hover::before {
    height: 96%;
    opacity: 1;
    transition: height 0.25s 0.2s ease-out, opacity 0s 0.2s; 
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8 span::after {
    right: 0%;
    border-right: 2px solid rgb(54, 56, 55);
    border-top: 2px solid rgb(54, 56, 55);
    transition: width 0.2s ease-in, height 0.15s 0.2s linear, opacity 0s 0.35s;   
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-8 span:hover::after {
    width: 99%; height: 96%;
    opacity: 1;
    transition: height 0.15s 0.1s linear, width 0.2s 0.25s linear, opacity 0s 0.1s;   
    position: absolute;
    content: "";
  }
  
  /* 19. hover-border-9 */
  .vnx-btn.hover-border-9::before,
  .vnx-btn.hover-border-9::after {
    bottom: 0;
    width: 15%;
    transition: width 0.2s 0.35s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-9::before {
    right: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-9::after {
    left: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-9:hover::before {
    width: 50%;
    transition: width 0.1s ease-in; 
    position: absolute;
    content: "";  
  }
  .vnx-btn.hover-border-9:hover::after {
    width: 50%;
    transition: width 0.2s ease-in;   
    position: absolute;
    content: "";
  }
  
  .vnx-btn.hover-border-9 span::before,
  .vnx-btn.hover-border-9 span::after {
    width: 0%; height: 0%;
    bottom: 0;
    background: transparent;
    opacity: 0;
    z-index: 2;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-9 span::after {
    right: 0%;
    border-right: 2px solid rgb(54, 56, 55);
    transition: height 0.25s ease-in, opacity 0s 0.35s;  
    position: absolute;
    content: ""; 
  }
  .vnx-btn.hover-border-9 span:hover::after {
    height: 96%;
    opacity: 1;
    transition: height 0.25s 0.2s ease-out, opacity 0s 0.2s;   
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-9 span::before {
    left: 0%;
    border-left: 2px solid rgb(54, 56, 55);
    border-top: 2px solid rgb(54, 56, 55);
    transition: width 0.2s ease-in, height 0.15s 0.2s linear, opacity 0s 0.35s;
    position: absolute;
    content: "";   
  }
  .vnx-btn.hover-border-9 span:hover::before {
    width: 98.5%; height: 96%;
    opacity: 1;
    transition: height 0.15s 0.1s linear, width 0.2s 0.25s linear, opacity 0s 0.1s;  
    position: absolute;
    content: ""; 
  }
  
  /* 20. hover-border-10 */
  .vnx-btn.hover-border-10::before,
  .vnx-btn.hover-border-10::after {
    left: 0%;
    height: 30%;
    width: 2px;
    transition: height 0.2s 0.35s ease-out;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-10::before {
    top: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-10::after {
    bottom: 50%;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-10:hover::before {
    height: 50%;
    transition: height 0.2s ease-in;   
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-10:hover::after {
    height: 50%;
    transition: height 0.1s ease-in;   
    position: absolute;
    content: "";
  }
  
  .vnx-btn.hover-border-10 span::before,
  .vnx-btn.hover-border-10 span::after {
    width: 0%; height: 0%;
    background: transparent;
    opacity: 0;
    z-index: 2;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-10 span::after {
    bottom: 0; left: 0%;
    border-bottom: 2px solid rgb(54, 56, 55);
    transition: width 0.25s ease-in, opacity 0s 0.35s; 
    position: absolute;
    content: "";  
  }
  .vnx-btn.hover-border-10 span:hover::after {
    width: 100%;
    opacity: 1;
    transition: width 0.25s 0.2s ease-out, opacity 0s 0.2s;  
    position: absolute;
    content: ""; 
  }
  .vnx-btn.hover-border-10 span::before {
    top: 0%; left: 0%;
    border-top: 2px solid rgb(54, 56, 55);
    border-right: 2px solid rgb(54, 56, 55);
    transition: height 0.15s ease-in, width 0.2s 0.15s linear, opacity 0s 0.35s;   
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-10 span:hover::before {
    width: 98.5%; height: 96%;
    opacity: 1;
    transition: width 0.2s 0.1s linear, height 0.15s 0.3s ease-out, opacity 0s 0.1s;   
    position: absolute;
    content: "";
  }
  
  /*--- vnx-btn-5 ---*/
  .vnx-btn-5 span {
    color: rgb(28, 31, 30);
    border: 2px solid var(--color-1);
    transition: 0.2s;
  }
  .vnx-btn-5 span:hover {
    background-color:transparent;
    color: var(--color-1-dark);
  }
  
  /* 21. hover-border-11 */
  .vnx-btn.hover-border-11::before,
  .vnx-btn.hover-border-11::after {
    width: 100%; height: 2px;
    background-color: rgb(54, 56, 55);
    z-index: 2;
    transition: 0.35s; 
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-11::before {
    top: 0; right: 0;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-11::after {
    bottom: 0; left: 0;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-11:hover::before,
  .vnx-btn.hover-border-11:hover::after {
    width: 0%;
    transition: 0.2s 0.2s ease-out; 
    position: absolute;
    content: "";
  }
  
  .vnx-btn.hover-border-11 span::before,
  .vnx-btn.hover-border-11 span::after {
    width: 2px; height: 100%;
    background-color: rgb(54, 56, 55);
    z-index: 2;
    transition: 0.25s; 
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-11 span::before {
    bottom: 0; right: -2px;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-11 span::after {
    top: 0; left: -2px;
    position: absolute;
    content: "";
  }
  .vnx-btn.hover-border-11 span:hover::before,
  .vnx-btn.hover-border-11 span:hover::after {
    height: 0%;
    position: absolute;
    content: "";
  }
  @keyframes linear {
	
    from {
      background-position: 0 0;
    }
    to {
      background-position: 200px 0;
    }
    
  }
  
  @keyframes radial {
    
    from {
      background-position: 0 0;
    }
    to {
      background-position: 0 60px;
    }
    
  }
  
  @keyframes repeating {
    
    from {
      background-position: -30px 0;
    }
    to {
      background-position: 55px 0;
    }
    
  }
  
  @keyframes electronic {
    
    0%, 100% {
      background-position: 20px -30px;
    }
    25% {
      background-position: 150px 5px;
    }
    50% {
      background-position: 20px 40px;
    }
    75% {
      background-position: -100px 5px;
    }
    
  }
  
  .biliboard {
    width: auto !important;
    padding: 20px;
    text-align: center;
    position: relative;
    background: #fff;
    color: var(--color-1-light);
    font-size: 18px;
  }
  .biliboard:before {
    content: '';
    display: block;
    height: 100%;
    width: 100%;
    border-radius: 3px;
    transform: scale( 1.02, 1.08 );
    position: absolute;
    background: #f00;
    background: linear-gradient( 90deg, #fafafa, #fafafa, #1D8EF7, #fafafa, #fafafa );
    background-position: 55px 0;
    top: 0;
    animation: linear 1s infinite linear;
    left: 0;
    z-index: -1;
  }
  
  .biliboard.radial:before {
    background: radial-gradient( #fafafa, #fafafa, #F2A61A, #fafafa, #fafafa );
    animation: radial 1s infinite linear;
  }
  
  .biliboard.repeating:before {
    background: repeating-linear-gradient( -45deg, #fafafa, #fafafa 30px, #5FC914 30px, #5FC914 60px, #fafafa, 60px, #fafafa 90px ) fixed;
  /* 	animation: repeating 1s infinite linear; */
  }
  
  .biliboard.electronic:before {
    background: radial-gradient( #EA238D, #EA238D, #EA238D, #EA238D, #fafafa, #fafafa ) no-repeat;
    background-size: 150px 50px;
    animation: electronic 2s infinite linear;
  }
  .biliboard-primary {
    width: auto !important;
    padding: 20px;
    text-align: center;
    position: relative;
    background: #fff;
    color: var(--color-2-light);
    font-size: 18px;
  }
  .biliboard-primary:before {
    content: '';
    display: block;
    height: 100%;
    width: 100%;
    border-radius: 3px;
    transform: scale( 1.02, 1.08 );
    position: absolute;
    background: #f00;
    background: linear-gradient( 90deg, #fafafa, #fafafa, #1D8EF7, #fafafa, #fafafa );
    background-position: 55px 0;
    top: 0;
    animation: linear 1s infinite linear;
    left: 0;
    z-index: -1;
  }
  
  .biliboard-primary.radial:before {
    background: radial-gradient( #fafafa, #fafafa, var(--color-2-lighter), #fafafa, #fafafa );
    animation: radial 1s infinite linear;
  }
  
  .biliboard-primary.repeating:before {
    background: repeating-linear-gradient( -45deg, #fafafa, #fafafa 30px, #5FC914 30px, #5FC914 60px, #fafafa, 60px, #fafafa 90px ) fixed;
  /* 	animation: repeating 1s infinite linear;  */
  }
  
  .biliboard-primary.electronic:before {
    background: radial-gradient( #EA238D, #EA238D, #EA238D, #EA238D, #fafafa, #fafafa ) no-repeat;
    background-size: 150px 50px;
    animation: electronic 2s infinite linear;
  }

